Skip to main content
GET
/
agent_templates
/
{id}
Get agent template
curl --request GET \
  --url https://api.akua.dev/v1/agent_templates/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "instructions": "<string>",
  "capabilities": [],
  "ambient": {
    "enabled": true,
    "triggers": [
      {
        "trigger_id": "<string>",
        "cooldown_seconds": 123,
        "relationship_scope": {},
        "resource_filters": [
          {
            "type": "<string>",
            "id": "<string>"
          }
        ],
        "quiet_hours": {
          "timezone": "<string>",
          "start": "<string>",
          "end": "<string>"
        }
      }
    ],
    "policy": {
      "allowed_resource_scopes": [
        {
          "type": "<string>",
          "id": "<string>"
        }
      ],
      "max_spend_cents_per_trigger": 1
    }
  },
  "trigger_filters": [
    {
      "resource_types": [
        "<string>"
      ],
      "states": [
        "<string>"
      ]
    }
  ],
  "model_policy": {
    "default_model": "<string>",
    "credential_secret_id": "<string>",
    "allowed_models": [
      "<string>"
    ],
    "severity_model_overrides": [
      {
        "model": "<string>"
      }
    ],
    "max_budget_cents": 1,
    "max_turn_budget_cents": 1
  },
  "runtime_policy": {
    "filesystem": "<string>",
    "shell": "<string>",
    "browser": "<string>"
  },
  "remediation_policy": {
    "repository_change_request": {
      "evidence_required": true,
      "allowed_actions": [
        "<string>"
      ],
      "blocked_actions": [
        "<string>"
      ]
    }
  },
  "grants": [
    {
      "resource": "<string>",
      "actions": [
        "<string>"
      ]
    }
  ],
  "created_at": 1,
  "updated_at": 1,
  "etag": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.akua.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Path Parameters

id
string
required
Required string length: 1 - 56

Response

Agent template

id
string
required
Required string length: 1 - 56
name
string
required
description
string
required
instructions
string
required
state
enum<string>
required
Available options:
PUBLISHED
capabilities
enum<string>[]
required
Available options:
CHAT,
CODING,
AMBIENT
ambient
object
required
trigger_filters
object[]
required
model_policy
object
required
runtime_policy
object
required
remediation_policy
object
required
grants
object[]
required
created_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
updated_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
etag
string
required